
<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles"%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<tiles:insertDefinition name="defaultTemplate">
    <tiles:putAttribute name="body">
        <ul class="breadcrumb">
            <li><a href="#">หน้าหลัก</a><span class="divider">&raquo;</span></li>
            <li class="active">รายงานการขายกรมธรรม์</li>
        </ul>

        <div class="dashboard-widget">
            <div class="row-fluid">

                <form:form class="form-horizontal well" target="_blank" id="frmSaleOnlineReport" modelAttribute="saleOnlineReportBean" action="sale-online-report-print" method="post">

                    <fieldset>
                        <div class="control-group">
                            <label class="control-label" for="input01">รหัสตัวแทน</label>
                            <div class="controls">
                                <form:input path="agentIdStart" id="agentIdStart" class="input-medium" type="text" placeholder="รหัสตัวแทน" maxlength="15" />
                                -
                                <form:input path="agentIdEnd" id="agentIdEnd" cssClass="input-medium" type="text" placeholder="รหัสตัวแทน" maxlength="15"/>


                            </div>
                        </div>

                        <div class="control-group">
                            <label class="control-label" for="input01">วันที่เริ่มคุ้มครอง</label>
                            <div class="controls">
                                <form:input class="input-small" type="text" path="covStartDate" id="covStartDate" placeholder="วันที่เริ่มคุ้มครอง" maxlength="10" />
                                -
                                <form:input class="input-small" type="text" path="covEndDate" id="covEndDate" placeholder="วันที่เริ่มคุ้มครอง" maxlength="10"  />


                            </div>
                        </div>

                        <div class="control-group">
                            <label class="control-label" for="input01">วันที่ออกกรมธรรม์</label>
                            <div class="controls">
                                <form:input path="polStartDate" id="polStartDate" class="input-small" type="text" placeholder="วันที่ออกกรมธรรม์" maxlength="10"/>
                                -
                                <form:input path="polEndDate" id="polEndDate" cliass="input-small" type="text" placeholder="วันที่ออกกรมธรรม์" maxlength="10"/>


                            </div>
                        </div>

                        <div class="control-group">
                            <label class="control-label" for="input01">ประเภทรายงาน</label>
                            <div class="controls">
                                <form:select path="reportType">
                                    <form:option value="PDF">PDF</form:option>                                 
                                </form:select>

                            </div>
                        </div>


                        <div class="control-group">
                            <div class="controls">
                                <button class="btn btn-success">พิมพ์</button>

                            </div>
                        </div>

                    </fieldset>
                </form:form>


            </div>
        </div>


    </tiles:putAttribute><tiles:putAttribute name="customScript">

        <style>


            #frmSaleOnlineReport label.error, #frmSaleOnlineReport input.submit {
                margin-left: 253px;
            }

        </style>

        <script>


            $.validator.setDefaults({
                submitHandler: function () {

                    $("#frmSaleOnlineReport").submit();
                }
            });

            function dddd(value, decPlaces) {


                return Math.round(value * Math.pow(10, decPlaces)) / Math.pow(10, decPlaces);
            }

            $(function () {



                $("#frmSaleOnlineReport").validate({
                    
                    rules: {
//                        agentIdStart: "required",
//                        agentIdEnd: "required",
//                        covStartDate: "required",
//                        covEndDate: "required",
//                        polStartDate: "required",
//                        polEndDate: "required"
                    },
                   
                    messages: {
//                        agentIdStart: 'กรุณาระบุช่วงรหัสตัวแทน',
//                        agentIdEnd: 'กรุณาระบุช่วงรหัสตัวแทน',
//                        covStartDate: 'กรุณาระบุช่วงวันที่คุ้มครอง',
//                        covEndDate: 'กรุณาระบุช่วงวันที่คุ้มครอง',
//                        polStartDate: 'กรุณาระบุช่วงวันที่ออกกรมธรรม์',
//                        polEndDate: 'กรุณาระบุช่วงวันที่ออกกรมธรรม์'
                    }
                });




                var covStartDate = $('#covStartDate').datepicker({dateFormat: 'dd/mm/yy', onSelect: function (selectedDate) {
                        $("#covEndDate").datepicker("option", "minDate", selectedDate);
                    }});

                var covEndDate = $('#covEndDate').datepicker({dateFormat: 'dd/mm/yy', onSelect: function (selectedDate) {
                        $("#covStartDate").datepicker("option", "maxDate", selectedDate);
                    }});

                var polStartDate = $('#polStartDate').datepicker({dateFormat: 'dd/mm/yy', onSelect: function (selectedDate) {
                        $("#polEndDate").datepicker("option", "minDate", selectedDate);
                    }});

                var polEndDate = $('#polEndDate').datepicker({dateFormat: 'dd/mm/yy', onSelect: function (selectedDate) {
                        $("#polStartDate").datepicker("option", "maxDate", selectedDate);
                    }});
               

            });
        </script></tiles:putAttribute>
</tiles:insertDefinition>